require_relative 'speller_dk/checker'

module Speller
	class Main

		def self.check word
			puts "------------------------------------------"
			begin
				spell_error = Checker.new(word).check_spell
				if spell_error
					puts "Была найдена орфографическая ошибка в слове #{ word }"
					puts "Слова без ошибки:"
					puts spell_error.s
				else
					puts "В данном слове нет ошибок"
				end
			rescue Exception => e
				puts "Приложение было завершено с критической ошибкой"
				puts e.message
			end
			puts "------------------------------------------"
		end

		def self.help
			puts "------------------------------------------"
			puts "Для проверки слова используйте Speller::Main.check '<your_word>' "
			puts "------------------------------------------"
		end

	end
end

puts Speller::Main.help