module Speller
	class Error

		ERROR_UNKNOWN_WORD    = 1
		ERROR_REPEAT_WORD     = 2
		ERROR_CAPITALIZATION  = 3
		ERROR_TOO_MANY_ERRORS = 4

		def self.all
			{ 
				ERROR_UNKNOWN_WORD    => "Слова нет в словаре.", 
				ERROR_REPEAT_WORD     => "Повтор слова.",
				ERROR_CAPITALIZATION  => "Неверное употребление прописных и строчных букв.",
				ERROR_TOO_MANY_ERRORS => "Текст содержит слишком много ошибок. При этом приложение может отправить Яндекс.Спеллеру оставшийся непроверенным текст в следующем запросе.",
			}
		end

	end
end

# p Speller::Error.all[Speller::Error::ERROR_UNKNOWN_WORD]
