
require 'open-uri'

require_relative "parser"
require_relative "spell_error"

module Speller
	class Checker

		URL_REQUEST = "http://speller.yandex.net/services/spellservice.json/checkText?lang=en&text="

		def initialize word
			@word = word
		end

		def check_spell
				data = open(full_request).read
				parse_data = Parser.new(data).data
				unless parse_data.empty?
					SpellError.new(parse_data[0])
				end
		end

		def full_request
			URL_REQUEST + @word
		end

	end
end

# p Speller::Checker.new('helo').check_spell